Subject: [MMUSIC] Protocol Action: 'A Network Address Translator (NAT) Traversal Mechanism for Media Controlled by Real-Time Streaming Protocol (RTSP)' to Proposed Standard (draft-ietf-mmusic-rtsp-nat-22.txt)

From: The IESG <[email-masked]>
Date: Mon, 14 Jul 2014 09:27:13 -0700

The IESG has approved the following document:
- 'A Network Address Translator (NAT) Traversal Mechanism for Media
   Controlled by Real-Time Streaming Protocol (RTSP)'
  (draft-ietf-mmusic-rtsp-nat-22.txt) as Proposed Standard

This document is the product of the Multiparty Multimedia Session Control
Working Group.

The IESG contact persons are Alissa Cooper and Richard Barnes.

A URL of this Internet Draft is:
http://datatracker.ietf.org/doc/draft-ietf-mmusic-rtsp-nat/

Technical Summary

The document defines a solution for Network Address Translation (NAT) traversal for datagram based media streams set up and controlled with Real-time Streaming Protocol version 2 (RTSP 2.0). It uses Interactive Connectivity Establishment (ICE) adapted to use RTSP as a signalling channel, defining the necessary RTSP extensions and procedures.

Working Group Summary

The RTSP specification (RFC 2326 and RFC2326bis) has long suffered from lack of a standardized NAT traversal mechanism and hence there was a desire to rectify that. The WG has separately investigated different approaches to RTSP NAT and concluded that a solution leveraging ICE was preferred. The ICE-based solution appeared initially in the -05 WG version of this document in 2007. Since the document is a companion to RTSP 2.0, progress on the document was to some extent gated on RTSP 2.0 progress as well as progress on the accompanying RTSP NAT Evaluation document, but a WGLC was issued on the -14 version in the latter part of 2012. Following review comments and updates, another WGLC was issued on -15 in the middle of 2013 with no major comments received. A few minor updates have been done since then as a result of active reviews from 2 people while waiting for RTSP 2.0 and the accompanying RTSP NAT Evalution documents to progress.

Document Quality

The document has been reviewed in detail several times after WGLC (incl. by one of the ICE-bis authors) and in preparation for the publication request and the authors have made various minor updates as a result of those. The document is considered to be of good quality at this point.

There are no known implementations of the current specification, however a prototype implementation of an earlier version of the spec was done a while back. 

There are no new media types, MIBs, etc. and hence no such reviews apply.

Personnel

Flemming Andreasen is the document shepherd. Alissa Cooper is the responsible area director.

RFC Editor Note

Please replace the current text in Section 11.2 with the following:

The logging of NAT translations is helpful to analysts, particularly in enterprises, who need to be able to map sessions when investigating possible issues where the NAT happens.  When using logging on the public Internet, it is possible that the logs are large and privacy invasive, so procedures for log flushing and privacy protection SHALL be in place. Care should be taken in the protection of these logs and consideration taken to log integrity, privacy protection, and purging logs (retention policies, etc.).  Also, logging of connection errors and other messages established by this draft can be important.